%global debug_package %{nil}

Name:           perl-common-sense
Version:        3.75
Release:        1
Summary:        save a tree AND a kitten, use common::sense
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/common-sense
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/common-sense-%{version}.tar.gz 

BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Obsoletes:	%{name}-tests < %{version}-%{release}
Provides:	%{name}-tests = %{version}-%{release}

%description
This module implements some sane defaults for Perl programs, as
defined by two typical (or not so typical - use your common sense)
specimens of Perl coders. In fact, after working out details on
which warnings and strict modes to enable and make fatal, we found
that we (and our code written so far, and others) fully agree on
every option, even though we never used warnings before, so it
seems this module indeed reflects a "common" sense among some
long-time Perl coders.

%package_help

%prep
%autosetup -n common-sense-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%license LICENSE
%dir %{perl_vendorarch}/common/
%{perl_vendorarch}/common/sense.pm

%files help
%defattr(-,root,root)
%doc Changes README t/
%doc %{perl_vendorarch}/common/sense.pod
%{_mandir}/man3/common::sense.3*

%changelog
* Wed Jan 27 2021 liudabo <liudabo1@huawei.com> - 3.75-1
- upgrade version to 3.75

* Thu Mar 5 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.7.4-14
- Package init
